Bug 423003 - krunner crashes as soon as I start typing when PIM Contact Search plugin is enabled
Summary: krunner crashes as soon as I start typing when PIM Contact Search plugin is e...
Status: RESOLVED FIXED
Alias: None
Product: frameworks-krunner
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 5.72.0
Platform: OpenSUSE Linux
: VHI crash
Target Milestone: ---
Assignee: Kai Uwe Broulik
URL:
Keywords: drkonqi
: 417724 422593 423011 423608 423610 423730 423891 424150 424179 425477 425481 425490 425514 425517 425602 425624 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-06-15 08:57 UTC by Cyrille Dunant
Modified: 2020-10-11 00:51 UTC (History)
30 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.21


Attachments
screenshot (517.40 KB, image/png)
2020-06-15 10:51 UTC, Cyrille Dunant
Details
screenshot (348.24 KB, image/png)
2020-06-15 10:51 UTC, Cyrille Dunant
Details
New crash information added by DrKonqi (12.89 KB, text/plain)
2020-06-24 20:53 UTC, Tony Dee
Details
New crash information added by DrKonqi (9.95 KB, text/plain)
2020-08-18 21:59 UTC, Mikhail Zolotukhin
Details
New crash information added by DrKonqi (10.82 KB, text/plain)
2020-08-19 09:59 UTC, Aitor
Details
New crash information added by DrKonqi (10.73 KB, text/plain)
2020-08-19 11:47 UTC, Alvaro
Details
New crash information added by DrKonqi (9.76 KB, text/plain)
2020-08-19 18:33 UTC, Benjamin Buch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cyrille Dunant 2020-06-15 08:57:35 UTC
Application: krunner (5.19.0)

Qt Version: 5.15.0
Frameworks Version: 5.72.0
Operating System: Linux 5.7.1-1-default x86_64
Windowing system: X11
Distribution: "openSUSE Tumbleweed"

-- Information about the crash:
- What I was doing when the application crashed:

nothing specific. The crash occurs as soon as I type a non-whitespace character

The crash can be reproduced every time.

-- Backtrace:
Application: krunner (krunner), signal: Bus error

[KCrash Handler]
#4  0x00007f8b3708efd6 in QReadWriteLock::tryLockForRead(int) (this=0x55e8f0414010, timeout=-1) at thread/qreadwritelock.cpp:263
#5  0x00007f8b28251d78 in QReadLocker::relock() (this=<synthetic pointer>) at /usr/include/qt5/QtCore/qreadwritelock.h:113
#6  0x00007f8b28251d78 in QReadLocker::QReadLocker(QReadWriteLock*) (areadWriteLock=<optimized out>, this=<synthetic pointer>) at /usr/include/qt5/QtCore/qreadwritelock.h:125
#7  0x00007f8b28251d78 in Plasma::QueryMatch::urls() const (this=this@entry=0x55e8f28f9dc0) at /usr/src/debug/krunner-5.72.0git.20200613T164002~9c8d13d-ku.1.1.x86_64/src/querymatch.cpp:264
#8  0x00007f8b28251dc8 in Plasma::AbstractRunner::mimeDataForMatch(Plasma::QueryMatch const&) (this=<optimized out>, match=...) at /usr/src/debug/krunner-5.72.0git.20200613T164002~9c8d13d-ku.1.1.x86_64/src/abstractrunner.cpp:203
#9  0x00007f8b2825c205 in Plasma::RunnerManagerPrivate::loadInstalledRunner(QExplicitlySharedDataPointer<KService>) (this=this@entry=0x55e8f0bea640, service=...) at /usr/src/debug/krunner-5.72.0git.20200613T164002~9c8d13d-ku.1.1.x86_64/src/runnermanager.cpp:333
#10 0x00007f8b2825ce17 in Plasma::RunnerManagerPrivate::loadRunners() (this=0x55e8f0bea640) at /usr/src/debug/krunner-5.72.0git.20200613T164002~9c8d13d-ku.1.1.x86_64/src/runnermanager.cpp:211
#11 0x00007f8b2825ec24 in Plasma::RunnerManager::launchQuery(QString const&, QString const&) (this=0x55e8f0979560, untrimmedTerm=..., runnerName=...) at /usr/src/debug/krunner-5.72.0git.20200613T164002~9c8d13d-ku.1.1.x86_64/src/runnermanager.cpp:803
#12 0x00007f8b2825ee35 in Plasma::RunnerManager::launchQuery(QString const&) (this=<optimized out>, term=...) at /usr/src/debug/krunner-5.72.0git.20200613T164002~9c8d13d-ku.1.1.x86_64/src/runnermanager.cpp:772
#13 0x00007f8b28f52045 in Milou::RunnerResultsModel::setQueryString(QString const&) (queryString=..., this=0x55e8f08ee3f0) at /usr/src/debug/milou5-5.19.80git.20200601T193652~40bb577-ku.11.2.x86_64/lib/runnerresultsmodel.cpp:194
#14 0x00007f8b28f52045 in Milou::ResultsModel::setQueryString(QString const&) (this=<optimized out>, queryString=...) at /usr/src/debug/milou5-5.19.80git.20200601T193652~40bb577-ku.11.2.x86_64/lib/resultsmodel.cpp:370
#15 0x00007f8b3881825f in QQmlPropertyData::writeProperty(QObject*, void*, QFlags<QQmlPropertyData::WriteFlag>) const (flags=..., value=0x7fff558054b8, target=<optimized out>, this=0x7f8b141de4e8) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:375
#16 0x00007f8b3881825f in GenericBinding<10>::doStore<QString>(QString, QQmlPropertyData const*, QFlags<QQmlPropertyData::WriteFlag>) const (flags=..., pd=0x7f8b141de4e8, value=..., this=0x55e8f0a91a50) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/qml/qml/qqmlbinding.cpp:342
#17 0x00007f8b3881825f in GenericBinding<10>::write(QV4::Value const&, bool, QFlags<QQmlPropertyData::WriteFlag>) (this=0x55e8f0a91a50, result=..., isUndefined=<optimized out>, flags=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/qml/qml/qqmlbinding.cpp:323
#18 0x00007f8b38818a5e in QQmlNonbindingBinding::doUpdate(QQmlJavaScriptExpression::DeleteWatcher const&, QFlags<QQmlPropertyData::WriteFlag>, QV4::Scope&) (this=0x55e8f0a91a50, watcher=..., flags=..., scope=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/jsruntime/qv4scopedvalue_p.h:239
#19 0x00007f8b38816714 in QQmlBinding::update(QFlags<QQmlPropertyData::WriteFlag>) (this=0x55e8f0a91a50, flags=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/qml/qml/qqmlbinding.cpp:194
#20 0x00007f8b387f27bd in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) (endpoint=<optimized out>, a=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/qml/qml/qqmlnotifier.cpp:104
#21 0x00007f8b372a1b75 in doActivate<false>(QObject*, int, void**) (sender=0x55e8f069ccf0, signal_index=32, argv=argv@entry=0x0) at kernel/qobject_p.h:110
#22 0x00007f8b3729b55d in QMetaObject::activate(QObject*, int, int, void**) (sender=<optimized out>, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=argv@entry=0x0) at kernel/qobject.cpp:3959
#23 0x00007f8b3879f355 in QQmlVMEMetaObject::activate(QObject*, int, void**) (this=this@entry=0x55e8f0a51500, object=<optimized out>, index=<optimized out>, args=args@entry=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/qqmlpropertycache_p.h:386
#24 0x00007f8b387a192d in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) (this=0x55e8f0a51500, o=<optimized out>, c=<optimized out>, _id=<optimized out>, a=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/qqmlpropertycache_p.h:376
#25 0x00007f8b386dfeb2 in QV4::QObjectWrapper::setProperty(QV4::ExecutionEngine*, QObject*, QQmlPropertyData*, QV4::Value const&) (engine=0x55e8f0796ad0, object=0x55e8f069ccf0, property=0x7f8b1422e698, value=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:285
#26 0x00007f8b386e0507 in QV4::QObjectWrapper::setQmlProperty(QV4::ExecutionEngine*, QQmlContextData*, QObject*, QV4::String*, QV4::QObjectWrapper::RevisionMode, QV4::Value const&) (value=..., revisionMode=QV4::QObjectWrapper::IgnoreRevision, name=<optimized out>, object=0x55e8f069ccf0, qmlContext=<optimized out>, engine=0x55e8f0796ad0) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:435
#27 0x00007f8b386e0507 in QV4::QObjectWrapper::setQmlProperty(QV4::ExecutionEngine*, QQmlContextData*, QObject*, QV4::String*, QV4::QObjectWrapper::RevisionMode, QV4::Value const&) (engine=0x55e8f0796ad0, qmlContext=<optimized out>, object=0x55e8f069ccf0, name=<optimized out>, revisionMode=QV4::QObjectWrapper::IgnoreRevision, value=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:418
#28 0x00007f8b386e06a5 in QV4::QObjectWrapper::virtualPut(QV4::Managed*, QV4::PropertyKey, QV4::Value const&, QV4::Value*) (m=0x7f8b282ad560, id=..., value=..., receiver=0x7f8b282ad560) at /usr/include/c++/10/bits/atomic_base.h:420
#29 0x00007f8b386abaab in QV4::Object::put(QV4::PropertyKey, QV4::Value const&, QV4::Value*) (receiver=0x7f8b282ad560, v=..., id=..., this=0x7f8b282ad560) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/memory/qv4heap_p.h:82
#30 0x00007f8b386abaab in QV4::Object::virtualResolveLookupSetter(QV4::Object*, QV4::ExecutionEngine*, QV4::Lookup*, QV4::Value const&) (object=0x7f8b282ad560, engine=0x55e8f0796ad0, lookup=0x55e8f0cffec0, value=...) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/qml/jsruntime/qv4object.cpp:804
#31 0x00007f8b386f92b8 in QV4::Moth::VME::interpret(QV4::CppStackFrame*, QV4::ExecutionEngine*, char const*) (frame=0x7fff55807510, engine=0x55e8f0796ad0, code=0x7f8b29097eff ".FM|") at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/qml/jsruntime/qv4vme_moth.cpp:653
#32 0x00007f8b386fd0e7 in QV4::Moth::VME::exec(QV4::CppStackFrame*, QV4::ExecutionEngine*) (frame=frame@entry=0x7fff55807510, engine=engine@entry=0x55e8f0796ad0) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/qml/jsruntime/qv4vme_moth.cpp:463
#33 0x00007f8b386985ed in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) (this=this@entry=0x55e8f0971390, thisObject=<optimized out>, argv=argv@entry=0x7f8b282ad500, argc=<optimized out>, context=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/qml/jsruntime/qv4function.cpp:69
#34 0x00007f8b3880f995 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) (this=this@entry=0x55e8f098d930, callData=callData@entry=0x7f8b282ad4d0, isUndefined=isUndefined@entry=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/jsruntime/qv4value_p.h:343
#35 0x00007f8b387c2fcb in QQmlBoundSignalExpression::evaluate(void**) (this=<optimized out>, a=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/jsruntime/qv4jscall_p.h:95
#36 0x00007f8b387c34b0 in QQmlBoundSignal_callback(QQmlNotifierEndpoint*, void**) (e=0x55e8f09c4560, a=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/include/QtQml/5.15.0/QtQml/private/../../../../../src/qml/qml/qqmlboundsignalexpressionpointer_p.h:69
#37 0x00007f8b387f27bd in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) (endpoint=<optimized out>, a=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/qml/qml/qqmlnotifier.cpp:104
#38 0x00007f8b372a1b75 in doActivate<false>(QObject*, int, void**) (sender=0x55e8f0a88a50, signal_index=61, argv=0x0) at kernel/qobject_p.h:110
#39 0x00007f8b387f27bd in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) (endpoint=<optimized out>, a=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/qml/qml/qqmlnotifier.cpp:104
#40 0x00007f8b372a1b75 in doActivate<false>(QObject*, int, void**) (sender=0x55e8f0a68ce0, signal_index=30, argv=argv@entry=0x0) at kernel/qobject_p.h:110
#41 0x00007f8b3729b340 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x55e8f0a68ce0, m=m@entry=0x7f8b38ed09c0 <QQuickTextInput::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3946
#42 0x00007f8b38c31b80 in QQuickTextInput::textChanged() (this=this@entry=0x55e8f0a68ce0) at .moc/moc_qquicktextinput_p.cpp:1319
#43 0x00007f8b38c3a2b6 in QQuickTextInputPrivate::finishChange(int, bool, bool) (this=0x55e8f09e8440, validateFromState=<optimized out>, update=<optimized out>, edited=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/quick/items/qquicktextinput.cpp:3608
#44 0x00007f8b38c3e077 in QQuickTextInputPrivate::processKeyEvent(QKeyEvent*) (this=this@entry=0x55e8f09e8440, event=event@entry=0x7fff5580ae50) at /usr/include/qt5/QtCore/qrefcount.h:60
#45 0x00007f8b38c3e10a in QQuickTextInput::keyPressEvent(QKeyEvent*) (this=0x55e8f0a68ce0, ev=0x7fff5580ae50) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/quick/items/qquicktextinput.cpp:1516
#46 0x00007f8b38bfaa5b in QQuickItemPrivate::deliverKeyEvent(QKeyEvent*) (this=this@entry=0x55e8f09e8440, e=0x7fff5580ae50) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/quick/items/qquickitem.cpp:5178
#47 0x00007f8b38bfacb8 in QQuickItem::event(QEvent*) (this=0x55e8f0a68ce0, ev=0x7fff5580ae50) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/quick/items/qquickitem.cpp:8147
#48 0x00007f8b37e4a0cf in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x55e8f0a68ce0, e=0x7fff5580ae50) at kernel/qapplication.cpp:3671
#49 0x00007f8b3726bb0a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x55e8f0a68ce0, event=0x7fff5580ae50) at ../../include/QtCore/5.15.0/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#50 0x00007f8b38c08737 in QQuickWindowPrivate::deliverKeyEvent(QKeyEvent*) (this=0x55e8f0414010, e=0x7fff5580ae50) at /usr/src/debug/libqt5-qtdeclarative-5.15.0-1.1.x86_64/src/quick/items/qquickwindow.cpp:1815
#51 0x00007f8b376b8055 in QWindow::event(QEvent*) (this=0x7fff5580b630, ev=<optimized out>) at kernel/qwindow.cpp:2433
#52 0x000055e8efb5edbf in View::event(QEvent*) (this=0x7fff5580b630, event=0x7fff5580ae50) at /usr/src/debug/plasma5-workspace-5.19.0-519.4.x86_64/krunner/view.cpp:171
#53 0x00007f8b37e4a0cf in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x7fff5580b630, e=0x7fff5580ae50) at kernel/qapplication.cpp:3671
#54 0x00007f8b3726bb0a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x7fff5580b630, event=0x7fff5580ae50) at ../../include/QtCore/5.15.0/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#55 0x00007f8b376a7f02 in QGuiApplicationPrivate::processKeyEvent(QWindowSystemInterfacePrivate::KeyEvent*) (e=0x7fff5580af40) at kernel/qguiapplication.cpp:2346
#56 0x00007f8b32a97528 in QIBusPlatformInputContext::filterEventFinished(QDBusPendingCallWatcher*) (this=<optimized out>, call=0x55e8f0ab53e0) at qibusplatforminputcontext.cpp:517
#57 0x00007f8b372a1fe6 in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7fff5580b0e0, r=0x55e8f05089d0, this=0x55e8f0bc1650) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#58 0x00007f8b372a1fe6 in doActivate<false>(QObject*, int, void**) (sender=0x55e8f0ab53e0, signal_index=3, argv=argv@entry=0x7fff5580b0e0) at kernel/qobject.cpp:3886
#59 0x00007f8b3729b340 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=<optimized out>, m=m@entry=0x7f8b37cca5e0 <QDBusPendingCallWatcher::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff5580b0e0) at kernel/qobject.cpp:3946
#60 0x00007f8b37caaabf in QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*) (this=<optimized out>, _t1=<optimized out>) at .moc/moc_qdbuspendingcall.cpp:158
#61 0x00007f8b37297a31 in QObject::event(QEvent*) (this=0x55e8f0ab53e0, e=0x55e8f0b1a850) at kernel/qobject.cpp:1314
#62 0x00007f8b37e4a0cf in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x55e8f0ab53e0, e=0x55e8f0b1a850) at kernel/qapplication.cpp:3671
#63 0x00007f8b3726bb0a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x55e8f0ab53e0, event=0x55e8f0b1a850) at ../../include/QtCore/5.15.0/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#64 0x00007f8b3726e531 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=0x0, event_type=0, data=0x55e8f0429770) at kernel/qcoreapplication.cpp:1815
#65 0x00007f8b372c38c3 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x55e8f0510430) at kernel/qeventdispatcher_glib.cpp:277
#66 0x00007f8b3597e2c7 in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#67 0x00007f8b3597e648 in  () at /usr/lib64/libglib-2.0.so.0
#68 0x00007f8b3597e6ff in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#69 0x00007f8b372c2f4f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x55e8f0508550, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#70 0x00007f8b3726a4cb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fff5580b4b0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#71 0x00007f8b37272730 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#72 0x000055e8efb5d93d in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/plasma5-workspace-5.19.0-519.4.x86_64/krunner/main.cpp:118
[Inferior 1 (process 7193) detached]

The reporter indicates this bug may be a duplicate of or related to bug 422593.

Possible duplicates by query: bug 422593, bug 395597, bug 394320.

Reported using DrKonqi
Comment 1 Alexander Lohnau 2020-06-15 09:59:53 UTC
Can you please check if disabling certain plugins solves the problem?
Comment 2 Cyrille Dunant 2020-06-15 10:10:52 UTC
It's the Applications plugin causing the crash. Weirdly, the command line doesn't crash but acts like the application one.
Comment 3 Alexander Lohnau 2020-06-15 10:20:38 UTC
>Weirdly, the command line doesn't crash but acts like the application one.
I don't understand what you mean. And are referring to the shell runner?

And is the normal application launcher working properly?
Comment 4 Cyrille Dunant 2020-06-15 10:33:18 UTC
I have two applications runner plugins
 - "Applications" (with the no icon three dots thing)
    deactivating that one stops the crash
 - "Command Line"
    Looks like it does nothing

running alt-space and typing e.g. marble works as expected with "Applications" deactivated: marble is displayed as an option (with Applications). The command line option is not offered.
Comment 5 Alexander Lohnau 2020-06-15 10:47:06 UTC
Could you please provide a screenshot demonstrating this issue?
Comment 6 Cyrille Dunant 2020-06-15 10:51:14 UTC
Created attachment 129377 [details]
screenshot
Comment 7 Cyrille Dunant 2020-06-15 10:51:32 UTC
Created attachment 129378 [details]
screenshot
Comment 8 Alexander Lohnau 2020-06-15 10:55:50 UTC
The command line plugin only supports valid shell commands and provides no suggestions.

If you execute "marb" in a shell you will get an unknown command error, but "marble" will work.
Comment 9 Cyrille Dunant 2020-06-15 10:59:42 UTC
I understand that, but typing marble in full does not affect the result.

It's looking like the plugin database is screwed up. I'm going to log out, clear the cache and retry.
Comment 10 Alexander Lohnau 2020-06-15 11:03:13 UTC
Oh wait, when having a second look at your screenshots I noticed that you disabled the plugin, but the change is not applied. See BUG 421426.

This means that the crash is not always reproducable right?
Comment 11 Alexander Lohnau 2020-06-15 11:04:59 UTC
You can just restart KRunner by:

kquitapp5 krunner;kstart5 krunner
Comment 12 Cyrille Dunant 2020-06-15 11:07:16 UTC
having clear the cache and retried...

I've had a crash (same as before), removed and readded the plugins, and now, command line behaves as it should, but no application.
Comment 13 Cyrille Dunant 2020-06-15 11:07:50 UTC
(In reply to Alexander Lohnau from comment #10)
> Oh wait, when having a second look at your screenshots I noticed that you
> disabled the plugin, but the change is not applied. See BUG 421426.
> 
> This means that the crash is not always reproducable right?

It was, until I played with the plugin config.
Comment 14 Alexander Lohnau 2020-06-15 18:10:58 UTC
*** Bug 423011 has been marked as a duplicate of this bug. ***
Comment 15 Alexander Lohnau 2020-06-15 18:12:37 UTC
*** Bug 422593 has been marked as a duplicate of this bug. ***
Comment 16 Alexander Lohnau 2020-06-15 18:16:07 UTC
I will try to look into it since this seems to affect multiple people recently.

If you could provide any additional information which affects these crashes I would be thankful!
Comment 17 Alex Fiestas 2020-06-16 09:17:10 UTC
Hey, I am getting the same crash with latest plasma (from git) and latest Qt 5.15 (from git as well).
Comment 18 Alexander Lohnau 2020-06-16 09:37:12 UTC
Thanks. I didn't have this problem when building from source, even after updating all my git framework stuff, but after updating all system packages.

Is it possible that you have the "PIM Contact Search" plugin enabled?

In my case disabling this fixes the crash, please try it out :-)
Comment 19 Patrick Silva 2020-06-16 09:53:56 UTC
(In reply to Alexander Lohnau from comment #18) 
> Is it possible that you have the "PIM Contact Search" plugin enabled?
> 
> In my case disabling this fixes the crash, please try it out :-)

In my case too.
Comment 20 Alexander Lohnau 2020-06-16 11:38:32 UTC
This seems to be related to some internal memory issues.

I don't know why it happens now and resetting the KRunner source code to an older version didn't change anything.
Comment 21 Alexander Lohnau 2020-06-17 14:21:07 UTC
I just updated all my system packages and it seems fixed.
Comment 22 Christophe Marin 2020-06-18 08:59:25 UTC
I get a similar crash with krunner master.

(gdb) bt
#0  QReadWriteLock::tryLockForRead (this=0x41c010, timeout=-1) at thread/qreadwritelock.cpp:263
#1  0x00007fffe3163cd7 in QReadLocker::relock (this=0x7fffffff5868) at /usr/include/qt5/QtCore/qreadwritelock.h:106
#2  0x00007fffe3163830 in QReadLocker::QReadLocker (this=0x7fffffff5868, areadWriteLock=0x41c010) at /usr/include/qt5/QtCore/qreadwritelock.h:125
#3  0x00007fffe3162f3b in Plasma::QueryMatch::urls (this=0x1949bc0) at /data/kde/src/krunner/src/querymatch.cpp:264
#4  0x00007fffe314f92d in Plasma::AbstractRunner::mimeDataForMatch (this=0x1948e80, match=...) at /data/kde/src/krunner/src/abstractrunner.cpp:203
#5  0x00007fffe316e20f in Plasma::RunnerManagerPrivate::loadInstalledRunner (this=0x9d5f70, service=...) at /data/kde/src/krunner/src/runnermanager.cpp:331
#6  0x00007fffe316d02d in Plasma::RunnerManagerPrivate::loadRunners (this=0x9d5f70) at /data/kde/src/krunner/src/runnermanager.cpp:211
#7  0x00007fffe316bb86 in Plasma::RunnerManager::launchQuery (this=0x7d0ce0, untrimmedTerm=..., runnerName=...) at /data/kde/src/krunner/src/runnermanager.cpp:803
#8  0x00007fffe316b91d in Plasma::RunnerManager::launchQuery (this=0x7d0ce0, term=...) at /data/kde/src/krunner/src/runnermanager.cpp:773
#9  0x00007fffe805267b in Milou::RunnerResultsModel::setQueryString (this=0xa20530, queryString=...) at /data/kde/src/milou/lib/runnerresultsmodel.cpp:194
#10 0x00007fffe804be7f in Milou::ResultsModel::setQueryString (this=0x7d0ab0, queryString=...) at /data/kde/src/milou/lib/resultsmodel.cpp:370
#11 0x00007fffe8045d8d in Milou::ResultsModel::qt_static_metacall (_o=0x7d0ab0, _c=QMetaObject::WriteProperty, _id=0, _a=0x7fffffff60f0) at lib/milou_autogen/EWIEGA46WW/moc_resultsmodel.cpp:228
Comment 23 Christophe Marin 2020-06-18 09:19:04 UTC
I tried disabling everything, and enable plugins / restart. It doesn't crash if I disable the pim contact search plugin.
Comment 24 Alexander Lohnau 2020-06-19 19:36:03 UTC
*** Bug 417724 has been marked as a duplicate of this bug. ***
Comment 25 Tony Dee 2020-06-24 20:53:11 UTC
Created attachment 129651 [details]
New crash information added by DrKonqi

krunner (5.19.80) using Qt 5.14.2

- What I was doing when the application crashed:

Started typing on the desktop. After the second letter is typed, there is a crash.
Happens every time. Both on wayland and xorg.
thanks.

-- Backtrace (Reduced):
#4  0x00007f76f1934ddc in Plasma::QueryMatch::urls() const (this=this@entry=0x5599db09f018) at ./src/querymatch.cpp:264
#5  0x00007f76f1925fd8 in Plasma::AbstractRunner::mimeDataForMatch(Plasma::QueryMatch const&) (this=<optimized out>, match=...) at ./src/abstractrunner.cpp:226
#6  0x00007f76f1943563 in Plasma::RunnerManagerPrivate::loadInstalledRunner(KPluginMetaData const&) (this=this@entry=0x5599db823950, pluginMetaData=...) at ./src/runnermanager.cpp:399
#7  0x00007f76f1944f9b in Plasma::RunnerManagerPrivate::loadRunners() (this=0x5599db823950) at ./src/runnermanager.cpp:270
#8  0x00007f76f194162d in Plasma::RunnerManager::launchQuery(QString const&, QString const&) (this=0x5599db822ba0, untrimmedTerm=..., runnerName=...) at ./src/runnermanager.cpp:913
Comment 26 Alexander Lohnau 2020-06-28 08:07:57 UTC
*** Bug 423608 has been marked as a duplicate of this bug. ***
Comment 27 Nicolas Fella 2020-07-01 18:39:44 UTC
*** Bug 423610 has been marked as a duplicate of this bug. ***
Comment 28 Nicolas Fella 2020-07-01 18:39:58 UTC
*** Bug 423730 has been marked as a duplicate of this bug. ***
Comment 29 Alexander Lohnau 2020-07-06 15:06:35 UTC
*** Bug 423891 has been marked as a duplicate of this bug. ***
Comment 30 Alexander Lohnau 2020-07-10 14:08:31 UTC
Unfortunately I have no idea on what the cause is/how to fix it:

The crash appears when the runner->init() method is called. The constructor of the plugin works fine. Interestingly the init method is not overwritten and the reloadConfiguration method just reads a config entry. When debugging this (with CLion) in the method right before the crash happens a memory access error for the private impl of the QueryMatch got displayed.

Can please one of the other devs have a look at this, maybe some fresh ideas can help :-).

The only suggestion I could make is to disable this plugin by default. It seems like not many people actually use it and it causes bug issues. Also we have to keep in mind that the issue can be at the framework side of things, so backporting the change to the distros is difficult. Also KRunner always crashing is a really bad first impression, especially for users new to KDE/Linux.
And for example the Spellcheck runner is also disabled by default (just for context).
Comment 31 Christoph Feck 2020-07-13 12:07:02 UTC
*** Bug 424150 has been marked as a duplicate of this bug. ***
Comment 32 Nate Graham 2020-07-13 19:29:05 UTC
Disabling it by default is almost the same thing as just deleting it, as most people don't change the default settings.

Of course, crashing by default is no good either.

I think we just need to fix whatever is causing this crash, which seems quite frequent. :/
Comment 33 David Redondo 2020-07-14 11:07:52 UTC
Git commit 8f7ce559b84ee0c21de0256e6591793e4b95f411 by David Redondo.
Committed on 14/07/2020 at 11:07.
Pushed by davidre into branch 'master'.

Do not remove virtual method from build

Method was deprecated in fc5738ab7c4025a87e2bbd656914b6187df7a9eb. Removing the
method when building without deprecated methods (for example the pim runner
does this) changes the vtable leading to crashes.

M  +0    -2    src/abstractrunner.cpp
M  +0    -2    src/abstractrunner.h

https://invent.kde.org/frameworks/krunner/commit/8f7ce559b84ee0c21de0256e6591793e4b95f411
Comment 34 Friedrich W. H. Kossebau 2020-07-14 11:33:38 UTC
Git commit 64badabf6f12cfbb2f1b25c50444e2425e487737 by Friedrich W. H. Kossebau.
Committed on 14/07/2020 at 11:32.
Pushed by kossebau into branch 'master'.

Allow removing deprecated virtual method from own build

Virtual methods and other things with ABI-sideeffects beyond own symbol
can be wrapped with the *_BUILD_DEPRECATED_SINCE(x,y) in the headers,
to enable builds without those. These macros are only influenced by
variables baked into the build of the library (i.e. the export header),
cannot be controlled from 3rd-party, so results in a stable ABI.
GIT_SILENT

M  +2    -0    src/abstractrunner.cpp
M  +2    -0    src/abstractrunner.h

https://invent.kde.org/frameworks/krunner/commit/64badabf6f12cfbb2f1b25c50444e2425e487737
Comment 35 Friedrich W. H. Kossebau 2020-07-14 12:27:29 UTC
I sent a note to the packagers asking them to backport the fix for the krunner library, so hopefully this reaches users not only when KF 5.73 is released in a month.
Comment 36 Nate Graham 2020-07-14 15:46:25 UTC
*** Bug 424179 has been marked as a duplicate of this bug. ***
Comment 37 Alexander Lohnau 2020-08-18 06:35:55 UTC
*** Bug 425477 has been marked as a duplicate of this bug. ***
Comment 38 Alexander Lohnau 2020-08-18 11:34:53 UTC
*** Bug 425490 has been marked as a duplicate of this bug. ***
Comment 39 Alexander Lohnau 2020-08-18 13:13:46 UTC
*** Bug 425481 has been marked as a duplicate of this bug. ***
Comment 40 Patrick Silva 2020-08-18 21:59:33 UTC
*** Bug 425514 has been marked as a duplicate of this bug. ***
Comment 41 Mikhail Zolotukhin 2020-08-18 21:59:41 UTC
Created attachment 130981 [details]
New crash information added by DrKonqi

krunner (5.19.4) using Qt 5.14.2

I've just updated KDE Neon to kf 5.73 and krunner still crashes.

-- Backtrace (Reduced):
#4  QReadWriteLock::tryLockForRead (this=0x55832d377010, timeout=-1) at thread/qreadwritelock.cpp:263
#5  0x00007fe9e0b77b72 in QReadLocker::relock (this=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qreadwritelock.h:113
#6  QReadLocker::QReadLocker (areadWriteLock=<optimized out>, this=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qreadwritelock.h:125
#7  Plasma::QueryMatch::urls (this=this@entry=0x55832d75bb40) at ./src/querymatch.cpp:264
#8  0x00007fe9e0b652ac in Plasma::AbstractRunner::mimeDataForMatch (this=<optimized out>, match=...) at ./src/abstractrunner.cpp:225
Comment 42 Patrick Silva 2020-08-18 22:08:10 UTC
*** Bug 425517 has been marked as a duplicate of this bug. ***
Comment 43 lnxusr 2020-08-19 02:57:35 UTC
I'm getting this now as well.

Operating System: KDE neon 5.19
KDE Plasma Version: 5.19.4
KDE Frameworks Version: 5.73.0
Qt Version: 5.14.2
Kernel Version: 5.4.0-42-generic
OS Type: 64-bit
Processors: 16 × AMD Ryzen 7 3800X 8-Core Processor
Memory: 15.6 GiB of RAM
Graphics Processor: AMD Radeon RX 5600 XT

Output in terminal:
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = krunner path = /usr/bin pid = 537429
KCrash: Arguments: /usr/bin/krunner 
KCrash: Attempting to start /usr/lib/x86_64-linux-gnu/libexec/drkonqi

Output from crash handler:

Application: krunner (krunner), signal: Bus error

[KCrash Handler]
#4  0x00007fe9fbfd266a in QReadWriteLock::tryLockForRead(int) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fe9ec05ab72 in Plasma::QueryMatch::urls() const () from /lib/x86_64-linux-gnu/libKF5Runner.so.5
#6  0x00007fe9ec0482ac in Plasma::AbstractRunner::mimeDataForMatch(Plasma::QueryMatch const&) () from /lib/x86_64-linux-gnu/libKF5Runner.so.5
#7  0x00007fe9ec0687ba in ?? () from /lib/x86_64-linux-gnu/libKF5Runner.so.5
#8  0x00007fe9ec06a11d in ?? () from /lib/x86_64-linux-gnu/libKF5Runner.so.5
#9  0x00007fe9ec0662ab in Plasma::RunnerManager::launchQuery(QString const&, QString const&) () from /lib/x86_64-linux-gnu/libKF5Runner.so.5
#10 0x00007fe9ec06691b in Plasma::RunnerManager::launchQuery(QString const&) () from /lib/x86_64-linux-gnu/libKF5Runner.so.5
#11 0x00007fe9ec0d98c5 in ?? () from /lib/x86_64-linux-gnu/libmilou.so.5
#12 0x00007fe9ec0d0d0e in ?? () from /lib/x86_64-linux-gnu/libmilou.so.5
#13 0x00007fe9fd86a6cf in ?? () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#14 0x00007fe9fd86ae93 in ?? () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#15 0x00007fe9fd867c52 in QQmlBinding::update(QFlags<QQmlPropertyData::WriteFlag>) () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#16 0x00007fe9fd8423dd in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#17 0x00007fe9fd7ea294 in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#18 0x00007fe9fc1e40a5 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#19 0x00007fe9fd7e5a68 in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#20 0x00007fe9fd72288a in QV4::QObjectWrapper::setProperty(QV4::ExecutionEngine*, QObject*, QQmlPropertyData*, QV4::Value const&) () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#21 0x00007fe9fd7231be in QV4::QObjectWrapper::setQmlProperty(QV4::ExecutionEngine*, QQmlContextData*, QObject*, QV4::String*, QV4::QObjectWrapper::RevisionMode, QV4::Value const&) () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#22 0x00007fe9fd723337 in QV4::QObjectWrapper::virtualPut(QV4::Managed*, QV4::PropertyKey, QV4::Value const&, QV4::Value*) () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#23 0x00007fe9fd6e7094 in QV4::Object::virtualResolveLookupSetter(QV4::Object*, QV4::ExecutionEngine*, QV4::Lookup*, QV4::Value const&) () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#24 0x00007fe9fd73cfc6 in ?? () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#25 0x00007fe9fd7423ef in ?? () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#26 0x00007fe9fd6d1dcd in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#27 0x00007fe9fd860b47 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#28 0x00007fe9fd8078de in QQmlBoundSignalExpression::evaluate(void**) () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#29 0x00007fe9fd808978 in ?? () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#30 0x00007fe9fd8423dd in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#31 0x00007fe9fd7ea294 in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#32 0x00007fe9fc1e40a5 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#33 0x00007fe9fd7e3f40 in ?? () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#34 0x00007fe9fd8423dd in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#35 0x00007fe9fd7ea294 in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#36 0x00007fe9fc1e40a5 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#37 0x00007fe9fdd19e0a in QQuickTextInputPrivate::finishChange(int, bool, bool) () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#38 0x00007fe9fdd1e017 in QQuickTextInputPrivate::processKeyEvent(QKeyEvent*) () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#39 0x00007fe9fdd1e0ee in QQuickTextInput::keyPressEvent(QKeyEvent*) () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#40 0x00007fe9fdc9c54b in QQuickItemPrivate::deliverKeyEvent(QKeyEvent*) () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#41 0x00007fe9fdc9c80e in QQuickItem::event(QEvent*) () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#42 0x00007fe9fcd5ecc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5
#43 0x00007fe9fcd67f40 in QApplication::notify(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5
#44 0x00007fe9fc1ae78a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#45 0x00007fe9fdca95ff in QQuickWindowPrivate::deliverKeyEvent(QKeyEvent*) () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#46 0x00007fe9fdcaeee3 in QQuickWindow::keyPressEvent(QKeyEvent*) () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#47 0x00007fe9fc5dc96d in QWindow::event(QEvent*) () from /lib/x86_64-linux-gnu/libQt5Gui.so.5
#48 0x00007fe9fdcbbe49 in QQuickWindow::event(QEvent*) () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#49 0x00007fe9fe03f753 in PlasmaQuick::Dialog::event(QEvent*) () from /lib/x86_64-linux-gnu/libKF5PlasmaQuick.so.5
#50 0x000055c1ec378553 in ?? ()
#51 0x00007fe9fcd5ecc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5
#52 0x00007fe9fcd67f40 in QApplication::notify(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Widgets.so.5
#53 0x00007fe9fc1ae78a in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#54 0x00007fe9fc5cd7bb in QGuiApplicationPrivate::processKeyEvent(QWindowSystemInterfacePrivate::KeyEvent*) () from /lib/x86_64-linux-gnu/libQt5Gui.so.5
#55 0x00007fe9fc5d29cb in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /lib/x86_64-linux-gnu/libQt5Gui.so.5
#56 0x00007fe9fc5aad6b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/x86_64-linux-gnu/libQt5Gui.so.5
#57 0x00007fe9f798a51e in ?? () from /lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#58 0x00007fe9fa69efbd in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#59 0x00007fe9fa69f240 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#60 0x00007fe9fa69f2e3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#61 0x00007fe9fc2071e2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#62 0x00007fe9fc1ad24b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#63 0x00007fe9fc1b5296 in QCoreApplication::exec() () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#64 0x000055c1ec376abf in ?? ()
#65 0x00007fe9fbb5b0b3 in __libc_start_main (main=0x55c1ec3764a0, argc=1, argv=0x7fffce9b8d78, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffce9b8d68) at ../csu/libc-start.c:308
#66 0x000055c1ec376c7e in _start ()
[Inferior 1 (process 537321) detached]
Comment 44 Aitor 2020-08-19 09:59:46 UTC
Created attachment 130994 [details]
New crash information added by DrKonqi

krunner (5.19.4) using Qt 5.14.2

Got this after upgrading my KDE Neon and after restarting once 5.73 was installed.

- What I was doing when the application crashed:
  I opened Krunner using my shortcut (Meta+Space) and then type a character. It crashes every time.

-- Backtrace (Reduced):
#4  QReadWriteLock::tryLockForRead (this=0x55632c226010, timeout=-1) at thread/qreadwritelock.cpp:263
#5  0x00007fe081165b72 in QReadLocker::relock (this=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qreadwritelock.h:113
#6  QReadLocker::QReadLocker (areadWriteLock=<optimized out>, this=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qreadwritelock.h:125
#7  Plasma::QueryMatch::urls (this=this@entry=0x55632c758e50) at ./src/querymatch.cpp:264
#8  0x00007fe0811532ac in Plasma::AbstractRunner::mimeDataForMatch (this=<optimized out>, match=...) at ./src/abstractrunner.cpp:225
Comment 45 Alvaro 2020-08-19 11:47:04 UTC
Created attachment 131002 [details]
New crash information added by DrKonqi

krunner (5.19.4) using Qt 5.14.2

- What I was doing when the application crashed:

Pressed Alt-F2 and typing whatever and then crash, restarting krunner didn't fix the error

-- Backtrace (Reduced):
#4  QReadWriteLock::tryLockForRead (this=0x5633f4611010, timeout=-1) at thread/qreadwritelock.cpp:263
#5  0x00007f74709b7b72 in QReadLocker::relock (this=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qreadwritelock.h:113
#6  QReadLocker::QReadLocker (areadWriteLock=<optimized out>, this=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qreadwritelock.h:125
#7  Plasma::QueryMatch::urls (this=this@entry=0x5633f4c80690) at ./src/querymatch.cpp:264
#8  0x00007f74709a52ac in Plasma::AbstractRunner::mimeDataForMatch (this=<optimized out>, match=...) at ./src/abstractrunner.cpp:225
Comment 46 Christoph Feck 2020-08-19 16:40:54 UTC
Multiple reports show that the issue is not fixed in KF 5.73.0; reopening.
Comment 47 Benjamin Buch 2020-08-19 18:33:04 UTC
Created attachment 131019 [details]
New crash information added by DrKonqi

krunner (5.19.4) using Qt 5.14.2

- What I was doing when the application crashed:

I press Alt+F2 to exec a command.

After typing the first letter it crashs always.

-- Backtrace (Reduced):
#4  0x00007f2406f4366a in QReadWriteLock::tryLockForRead(int) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f23f842eb72 in QReadLocker::relock (this=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qreadwritelock.h:113
#6  QReadLocker::QReadLocker (areadWriteLock=<optimized out>, this=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qreadwritelock.h:125
#7  Plasma::QueryMatch::urls (this=this@entry=0x555a004d63c0) at ./src/querymatch.cpp:264
#8  0x00007f23f841c2ac in Plasma::AbstractRunner::mimeDataForMatch (this=<optimized out>, match=...) at ./src/abstractrunner.cpp:225
Comment 48 Nicola 2020-08-20 14:55:04 UTC
I have the same problem with krunner. For me the problematic plugin is "PIM Contacts Search", krunner works fine when it is disabled.

I find it strange that if i re-enable the plugin krunner will not crash, but I think the plugin is not working because it is not showing any contact (at least I think this is his purpose, I never used it). If then I kill the krunner process and press ALT+F2 to re-launch, the crash happens again and I need to disable again the plugin to let krunner work.

-- Backtrace:
Application: krunner (krunner), signal: Bus error

[KCrash Handler]
#4  QReadWriteLock::tryLockForRead (this=0x55768f385010, timeout=-1) at thread/qreadwritelock.cpp:263
#5  0x00007fa2cca21b72 in QReadLocker::relock (this=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qreadwritelock.h:113
#6  QReadLocker::QReadLocker (areadWriteLock=<optimized out>, this=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qreadwritelock.h:125
#7  Plasma::QueryMatch::urls (this=this@entry=0x55768f623be0) at ./src/querymatch.cpp:264
#8  0x00007fa2cca0f2ac in Plasma::AbstractRunner::mimeDataForMatch (this=<optimized out>, match=...) at ./src/abstractrunner.cpp:225
#9  0x00007fa2cca2f7ba in Plasma::RunnerManagerPrivate::loadInstalledRunner (this=this@entry=0x55768f5dd3a0, pluginMetaData=...) at ./src/runnermanager.cpp:410
#10 0x00007fa2cca3111d in Plasma::RunnerManagerPrivate::loadRunners (this=0x55768f5dd3a0) at ./src/runnermanager.cpp:281
#11 0x00007fa2cca2d2ab in Plasma::RunnerManager::launchQuery (this=0x55768fa54150, untrimmedTerm=..., runnerName=...) at ./src/runnermanager.cpp:932
#12 0x00007fa2cca2d91b in Plasma::RunnerManager::launchQuery (this=<optimized out>, term=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qarraydata.h:257
#13 0x00007fa2ccaa08c5 in Milou::RunnerResultsModel::setQueryString (this=0x55768f96e210, queryString=...) at ./lib/runnerresultsmodel.cpp:194
#14 0x00007fa2cca9d081 in Milou::ResultsModel::setQueryString (this=<optimized out>, queryString=...) at ./lib/resultsmodel.cpp:370
#15 0x00007fa2cca97d0e in Milou::ResultsModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=0x7fff27585090) at ./obj-x86_64-linux-gnu/lib/milou_autogen/EWIEGA46WW/moc_resultsmodel.cpp:228
#16 0x00007fa2dd0376cf in QQmlPropertyData::writeProperty (flags=..., value=0x7fff27585068, target=<optimized out>, this=<optimized out>) at ../../include/QtQml/5.14.2/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:286
#17 GenericBinding<10>::doStore<QString> (flags=..., pd=<optimized out>, value=..., this=0x55768f66df20) at qml/qqmlbinding.cpp:334
#18 GenericBinding<10>::write (this=0x55768f66df20, result=..., isUndefined=<optimized out>, flags=...) at qml/qqmlbinding.cpp:315
#19 0x00007fa2dd037e93 in QQmlNonbindingBinding::doUpdate (this=0x55768f66df20, watcher=..., flags=..., scope=...) at ../../include/QtQml/5.14.2/QtQml/private/../../../../../src/qml/jsruntime/qv4scopedvalue_p.h:239
#20 0x00007fa2dd034c52 in QQmlBinding::update (this=0x55768f66df20, flags=...) at qml/qqmlbinding.cpp:186
#21 0x00007fa2dd00f3dd in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=a@entry=0x0) at qml/qqmlnotifier.cpp:104
#22 0x00007fa2dcfb7294 in QQmlData::signalEmitted (object=0x55768f905530, index=32, a=0x0) at qml/qqmlengine.cpp:858
#23 0x00007fa2db9b10a5 in doActivate<false> (sender=0x55768f905530, signal_index=32, argv=0x0) at kernel/qobject_p.h:110
#24 0x00007fa2dcfb2a68 in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) () at ../../include/QtQml/5.14.2/QtQml/private/../../../../../src/qml/qml/qqmlpropertycache_p.h:375
#25 0x00007fa2dceef88a in QV4::QObjectWrapper::setProperty (engine=0x55768f6ee100, object=0x55768f905530, property=0x7fa2c4205788, value=...) at ../../include/QtQml/5.14.2/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:196
#26 0x00007fa2dcef01be in QV4::QObjectWrapper::setQmlProperty (engine=0x55768f6ee100, qmlContext=<optimized out>, object=0x55768f905530, name=<optimized out>, revisionMode=QV4::QObjectWrapper::IgnoreRevision, value=...) at jsruntime/qv4qobjectwrapper.cpp:435
#27 0x00007fa2dcef0337 in QV4::QObjectWrapper::virtualPut(QV4::Managed*, QV4::PropertyKey, QV4::Value const&, QV4::Value*) () at /usr/include/c++/9/bits/atomic_base.h:413
#28 0x00007fa2dceb4094 in QV4::Object::put (receiver=0x7fa2cd216560, v=..., id=..., this=0x7fa2cd216560) at ../../include/QtQml/5.14.2/QtQml/private/../../../../../src/qml/memory/qv4heap_p.h:73
#29 QV4::Object::virtualResolveLookupSetter (object=0x7fa2cd216560, engine=0x55768f6ee100, lookup=0x55768fc1c170, value=...) at jsruntime/qv4object.cpp:804
#30 0x00007fa2dcf09fc6 in QV4::Moth::VME::interpret (frame=0x7fff27587100, engine=0x55768f6ee100, code=0x7fa2ccc03eff ".FM|") at jsruntime/qv4vme_moth.cpp:653
#31 0x00007fa2dcf0f3ef in QV4::Moth::VME::exec (frame=frame@entry=0x7fff27587100, engine=engine@entry=0x55768f6ee100) at jsruntime/qv4vme_moth.cpp:463
#32 0x00007fa2dce9edcd in QV4::Function::call (this=this@entry=0x55768f511d50, thisObject=<optimized out>, argv=argv@entry=0x7fa2cd216500, argc=<optimized out>, context=<optimized out>) at jsruntime/qv4function.cpp:69
#33 0x00007fa2dd02db47 in QQmlJavaScriptExpression::evaluate (this=this@entry=0x55768f5cba00, callData=callData@entry=0x7fa2cd2164d0, isUndefined=isUndefined@entry=0x0) at ../../include/QtQml/5.14.2/QtQml/private/../../../../../src/qml/jsruntime/qv4value_p.h:343
#34 0x00007fa2dcfd48de in QQmlBoundSignalExpression::evaluate (this=<optimized out>, a=<optimized out>) at ../../include/QtQml/5.14.2/QtQml/private/../../../../../src/qml/jsruntime/qv4jscall_p.h:95
#35 0x00007fa2dcfd5978 in QQmlBoundSignal_callback (e=0x55768f6042e0, a=0x0) at ../../include/QtQml/5.14.2/QtQml/private/../../../../../src/qml/qml/qqmlboundsignalexpressionpointer_p.h:69
#36 0x00007fa2dd00f3dd in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=a@entry=0x0) at qml/qqmlnotifier.cpp:104
#37 0x00007fa2dcfb7294 in QQmlData::signalEmitted (object=0x55768f942620, index=61, a=0x0) at qml/qqmlengine.cpp:858
#38 0x00007fa2db9b10a5 in doActivate<false> (sender=0x55768f942620, signal_index=61, argv=0x0) at kernel/qobject_p.h:110
#39 0x00007fa2dcfb0f40 in QQmlVMEMetaObjectEndpoint::tryConnect (this=0x55768f5f5d10) at qml/qqmlvmemetaobject.cpp:155
#40 0x00007fa2dd00f3dd in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=a@entry=0x0) at qml/qqmlnotifier.cpp:104
#41 0x00007fa2dcfb7294 in QQmlData::signalEmitted (object=0x55768f96eb80, index=30, a=0x0) at qml/qqmlengine.cpp:858
#42 0x00007fa2db9b10a5 in doActivate<false> (sender=0x55768f96eb80, signal_index=30, argv=0x0) at kernel/qobject_p.h:110
#43 0x00007fa2db9abaf7 in QMetaObject::activate (sender=sender@entry=0x55768f96eb80, m=m@entry=0x7fa2dd751b40 <QQuickTextInput::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3930
#44 0x00007fa2dd4ddfc4 in QQuickTextInput::textChanged (this=this@entry=0x55768f96eb80) at .moc/moc_qquicktextinput_p.cpp:1314
#45 0x00007fa2dd4e6e0a in QQuickTextInputPrivate::finishChange (this=0x55768f566710, validateFromState=<optimized out>, update=<optimized out>, edited=<optimized out>) at items/qquicktextinput.cpp:3614
#46 0x00007fa2dd4eb017 in QQuickTextInputPrivate::processKeyEvent (this=this@entry=0x55768f566710, event=event@entry=0x7fff2758b1b0) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qrefcount.h:60
#47 0x00007fa2dd4eb0ee in QQuickTextInput::keyPressEvent (this=0x55768f96eb80, ev=0x7fff2758b1b0) at items/qquicktextinput.cpp:1522
#48 0x00007fa2dd46954b in QQuickItemPrivate::deliverKeyEvent (this=0x55768f566710, e=0x7fff2758b1b0) at items/qquickitem.cpp:5206
#49 0x00007fa2dd46980e in QQuickItem::event (this=0x55768f96eb80, ev=0x7fff2758b1b0) at items/qquickitem.cpp:8114
#50 0x00007fa2dc52bcc3 in QApplicationPrivate::notify_helper (this=this@entry=0x55768f3a3830, receiver=receiver@entry=0x55768f96eb80, e=e@entry=0x7fff2758b1b0) at kernel/qapplication.cpp:3685
#51 0x00007fa2dc534f40 in QApplication::notify (this=0x7fff2758b590, receiver=0x55768f96eb80, e=0x7fff2758b1b0) at kernel/qapplication.cpp:3431
#52 0x00007fa2db97b78a in QCoreApplication::notifyInternal2 (receiver=0x55768f96eb80, event=0x7fff2758b1b0) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:153
#53 0x00007fa2dd4765ff in QQuickWindowPrivate::deliverKeyEvent (this=this@entry=0x55768f422990, e=e@entry=0x7fff2758b1b0) at items/qquickwindow.cpp:1806
#54 0x00007fa2dd47bee3 in QQuickWindow::keyPressEvent (this=<optimized out>, e=0x7fff2758b1b0) at items/qquickwindow.cpp:1782
#55 0x00007fa2dbda996d in QWindow::event (this=this@entry=0x7fff2758b5f0, ev=ev@entry=0x7fff2758b1b0) at kernel/qwindow.cpp:2363
#56 0x00007fa2dd488e49 in QQuickWindow::event (this=this@entry=0x7fff2758b5f0, e=e@entry=0x7fff2758b1b0) at items/qquickwindow.cpp:1773
#57 0x00007fa2dd80c753 in PlasmaQuick::Dialog::event (this=0x7fff2758b5f0, event=0x7fff2758b1b0) at ./src/plasmaquick/dialog.cpp:1363
#58 0x000055768d451553 in View::event (this=0x7fff2758b5f0, event=0x7fff2758b1b0) at ./krunner/view.cpp:173
#59 0x00007fa2dc52bcc3 in QApplicationPrivate::notify_helper (this=this@entry=0x55768f3a3830, receiver=receiver@entry=0x7fff2758b5f0, e=e@entry=0x7fff2758b1b0) at kernel/qapplication.cpp:3685
#60 0x00007fa2dc534f40 in QApplication::notify (this=0x7fff2758b590, receiver=0x7fff2758b5f0, e=0x7fff2758b1b0) at kernel/qapplication.cpp:3431
#61 0x00007fa2db97b78a in QCoreApplication::notifyInternal2 (receiver=0x7fff2758b5f0, event=0x7fff2758b1b0) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:153
#62 0x00007fa2dbd9a7bb in QGuiApplicationPrivate::processKeyEvent (e=e@entry=0x55768f6e21a0) at kernel/qguiapplication.cpp:2335
#63 0x00007fa2dbd9f9cb in QGuiApplicationPrivate::processWindowSystemEvent (e=e@entry=0x55768f6e21a0) at kernel/qguiapplication.cpp:1941
#64 0x00007fa2dbd77d6b in QWindowSystemInterface::sendWindowSystemEvents (flags=flags@entry=...) at kernel/qwindowsysteminterface.cpp:1170
#65 0x00007fa2d713951e in xcbSourceDispatch (source=<optimized out>) at qxcbeventdispatcher.cpp:105
#66 0x00007fa2d9e6bfbd in g_main_context_dispatch () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#67 0x00007fa2d9e6c240 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#68 0x00007fa2d9e6c2e3 in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#69 0x00007fa2db9d41e2 in QEventDispatcherGlib::processEvents (this=0x55768f40bef0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#70 0x00007fa2db97a24b in QEventLoop::exec (this=this@entry=0x7fff2758b4b0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#71 0x00007fa2db982296 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#72 0x000055768d44fabf in main (argc=<optimized out>, argv=<optimized out>) at ./krunner/main.cpp:120
[Inferior 1 (process 178817) detached]

Thank you for the help.
Comment 49 Alexander Lohnau 2020-08-20 15:01:20 UTC
The plugin causing the error is contained in the https://invent.kde.org/pim/akonadi-search repo and it is part of the KDE Applications and has a different release cycle than Plasma/Frameworks.

Could you please provide the version of the libkf5akonadisearch-plugins package?

Thanks!
Comment 50 Alexander Lohnau 2020-08-20 15:04:44 UTC
(In reply to Nicola from comment #48)
> I find it strange that if i re-enable the plugin krunner will not crash, but
> I think the plugin is not working because it is not showing any contact (at
> least I think this is his purpose, I never used it). If then I kill the
> krunner process and press ALT+F2 to re-launch, the crash happens again and I
> need to disable again the plugin to let krunner work.
That is because the changes to the plugin list are not immediately applied. If the plugin is still enabled KRuner crashes every time, consequently the config is leaded every time you invoke it. But if you disable it the config is loaded only once and the app does not crash. This has already been fixed and will be shipped in the next plasma release, see BUG 421426.
Comment 51 Nicola 2020-08-20 15:28:05 UTC
(In reply to Alexander Lohnau from comment #49)
> The plugin causing the error is contained in the
> https://invent.kde.org/pim/akonadi-search repo and it is part of the KDE
> Applications and has a different release cycle than Plasma/Frameworks.
> 
> Could you please provide the version of the libkf5akonadisearch-plugins
> package?
> 
> Thanks!

I hope this is enough:

$ apt show libkf5akonadisearch-plugins -a
Package: libkf5akonadisearch-plugins
Version: 4:20.08.0-0xneon+20.04+focal+build11
Priority: optional
Section: libs
Source: akonadi-search
Maintainer: Neon CI <neon@kde.org>
Installed-Size: 376 kB
Depends: libc6 (>= 2.14), libgcc-s1 (>= 3.0), libkf5akonadicore5 (>= 4:20.08.0), libkf5akonadimime5, libkf5akonadisearchcore5, libkf5akonadisearchpim5, libkf5akonadisearchxapian5, libkf5codecs5, libkf5configcore5, libkf5configwidgets5, libkf5contacts5, libkf5coreaddons5, libkf5i18n5, libkf5runner5, libqt5core5a (>= 5.14.2+dfsg), libqt5gui5 (>= 5.14.2+dfsg), libqt5widgets5 (>= 5.14.2+dfsg), libstdc++6 (>= 5.2), libxapian30 (>= 1.4.14~)
Breaks: kmail (<< 4:17.08)
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Download-Size: 59,9 kB
APT-Manual-Installed: yes
APT-Sources: http://archive.neon.kde.org/user focal/main amd64 Packages
Description: Akonadi search library - runtime plugins

Package: libkf5akonadisearch-plugins
Version: 4:19.12.3-0ubuntu1
Priority: optional
Section: universe/libs
Source: akonadi-search
Origin: Ubuntu
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Installed-Size: 369 kB
Depends: libc6 (>= 2.14), libgcc-s1 (>= 3.0), libkf5akonadicore-bin, libkf5akonadicore5abi2 (>= 4:19.08.3), libkf5akonadimime5, libkf5akonadisearchcore5 (>= 15.07.90), libkf5akonadisearchpim5 (>= 15.07.90), libkf5akonadisearchxapian5 (>= 4:16.04.1), libkf5codecs5 (>= 5.4.0+git20141202.0008+15.04), libkf5configcore5 (>= 4.97.0), libkf5configwidgets5 (>= 5.64.0), libkf5contacts5 (>= 4:19.08.3), libkf5coreaddons5 (>= 4.99.0), libkf5i18n5 (>= 4.97.0), libkf5runner5 (>= 5.0.0), libqt5core5a (>= 5.12.2), libqt5gui5 (>= 5.7.0) | libqt5gui5-gles (>= 5.7.0), libqt5widgets5 (>= 5.6.1~), libstdc++6 (>= 5.2), libxapian30 (>= 1.4.14~)
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Download-Size: 55,0 kB
APT-Sources: http://it.archive.ubuntu.com/ubuntu focal/universe amd64 Packages
Description: Akonadi search library - runtime plugins

In the first entry the "APT-Manual-Installed" is set to "yes" probably because I forced a re-install of the package to fix this problem.
Comment 52 Friedrich W. H. Kossebau 2020-08-20 16:14:27 UTC
> Package: libkf5akonadisearch-plugins
> Version: 4:20.08.0-0xneon+20.04+focal+build11

That version might be the trigger then. Because from what I see on
https://build.neon.kde.org/job/focal_release_kde_akonadi-search_bin_amd64/11/console
this was build against unpatched KF KRunner 5.72 (seems https://mail.kde.org/pipermail/distributions/2020-July/000427.html missed to trigger Neon packager attention), and due to plain "add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)" in akonadi-search CMakeLists.txt brings us the original bug.

Solutions (needs Neon packagers):
a) rebuild akonadi-search package against KF KRunner 5.73 (which is fixed)
b) add fix patch to KF KRunner 5.72 and do new package, then rebuild akonadi-search against new KRunner package with the fix

As this bug issue entry is about the bug in KRunner code itself, not moving this whole bug to Neon, but closing it as resolve again. And instead have opened bug https://bugs.kde.org/show_bug.cgi?id=425599, Neon users hitting this bug now, please subscribe and follow up there.
Comment 53 Harald Sitter 2020-08-21 09:36:29 UTC
*** Bug 425602 has been marked as a duplicate of this bug. ***
Comment 54 Harald Sitter 2020-08-21 09:36:42 UTC
*** Bug 425624 has been marked as a duplicate of this bug. ***
Comment 55 Alexander Lohnau 2020-10-11 00:47:59 UTC
Git commit 84b547914741e6f6754388cae85cafd67ec2a9a8 by Alexander Lohnau.
Committed on 11/10/2020 at 00:47.
Pushed by alex into branch 'master'.

Allow syntax for DuckDuckGo bangs in Webshortcuts
FIXED-IN: 5.21

M  +17   -7    runners/webshortcuts/webshortcutrunner.cpp
M  +1    -0    runners/webshortcuts/webshortcutrunner.h

https://invent.kde.org/plasma/plasma-workspace/commit/84b547914741e6f6754388cae85cafd67ec2a9a8
Comment 56 Alexander Lohnau 2020-10-11 00:51:27 UTC
Sorry for the last commit message. Wayland clipboard issues :/